How can I specify the PHP version on the Grid?

Browse by products and services

  • Applies to: Grid
    • Difficulty: Easy
    • Time Needed: 10
    • Tools Required: AccountCenter access, plain text editor, FTP client


At this time, the Grid offers multiple versions of PHP, in the form of PHP-Stable, PHP-Latest, and FastCGIrecommended). Grid accounts provisioned after October 2015 have PHP 7 available. Older Grid accounts will soon have the option to upgrade as well. For more information about PHP 7, navigate here.

You may change or see your PHP version for each domain in the AccountCenter at any time. 

  1. Log into your AccountCenter.
  2. From the Overview page or Domains tab, select your primary domain.
  3. This opens your Grid Control Panel. Click on PHP Settings.


  4. On the next screen, you will see the versions of PHP that are currently available. Here you will make your selection(s). You may do so on a per-domain basis or for all of your domains at once.
  5. Select the desired PHP version for each domain; you can choose between PHP-Stable (5.3.23) and PHP-Latest (7.0).
  6. You may also click on the PHP version (for example, the "PHP Stable (5.3.23)" link) to bring up a "phpinfo.php" page. This page contains more details on how PHP has been set up on this platform.